🌍 Astrocartography API and ✋ Palmistry API are now live. Ship them in your app today.Get Started

Match Dashakoot Points

This API provides the dashakoot points and their attributes for a couple's horoscope match. The response includes the total points, received points, and minimum required points for each of the ten koots (dina, gana, yoni, rashi, rasyadhipati, rajju, vedha, vashya, mahendra, and streeDeergha).
POSThttps://json.astrologyapi.com/v1/match_dashakoot_points

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en, Hindi - hi, Marathi - ma, Bengali - bn, Tamil - ta, Telugu - te, Malayalam - ml, Kannada - kn.

Body parameters

m_dayintrequired

Day of birth, eg: 10

m_monthintrequired

Month of birth, eg: 5

m_yearintrequired

Year of birth, eg: 1990

m_hourintrequired

Hour of birth, eg: 11

m_minintrequired

Minute of birth, eg: 55

m_latfloatrequired

Latitude, eg: 19.2056

m_lonfloatrequired

Longitude, eg: 25.2056

m_tzonefloatrequired

Timezone, eg: 5.5

f_dayintrequired

Day of birth, eg: 10

f_monthintrequired

Month of birth, eg: 5

f_yearintrequired

Year of birth, eg: 1990

f_hourintrequired

Hour of birth, eg: 11

f_minintrequired

Minute of birth, eg: 55

f_latfloatrequired

Latitude, eg: 19.2056

f_lonfloatrequired

Longitude, eg: 25.2056

f_tzonefloatrequired

Timezone, eg: 5.5

curl --location 'https://json.astrologyapi.com/v1/match_dashakoot_points' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "m_day": 10,
    "m_month": 5,
    "m_year": 1990,
    "m_hour": 11,
    "m_min": 55,
    "m_lat": 19.2056,
    "m_lon": 25.2056,
    "m_tzone": 5.5,
    "f_day": 10,
    "f_month": 5,
    "f_year": 1990,
    "f_hour": 11,
    "f_min": 55,
    "f_lat": 19.2056,
    "f_lon": 25.2056,
    "f_tzone": 5.5
}'
Try it

Runs with sample data — no API key needed

{
  "dina": {
    "description": "",
    "male_koot_attribute": "Hast",
    "female_koot_attribute": "Krittika",
    "total_points": 3,
    "received_points": 3
  },
  "gana": {
    "description": "",
    "male_koot_attribute": "Dev",
    "female_koot_attribute": "Rakshasa",
    "total_points": 4,
    "received_points": 0
  },
  "yoni": {
    "description": "",
    "male_koot_attribute": "Mahisha",
    "female_koot_attribute": "Mesha",
    "total_points": 4,
    "received_points": 3
  },
  "rashi": {
    "description": "",
    "male_koot_attribute": "Virgo",
    "female_koot_attribute": "Taurus",
    "total_points": 7,
    "received_points": 0
  },
  "rasyadhipati": {
    "description": "",
    "male_koot_attribute": "Mercury",
    "female_koot_attribute": "Venus",
    "total_points": 5,
    "received_points": 5
  },
  "rajju": {
    "description": "",
    "male_koot_attribute": "-",
    "female_koot_attribute": "-",
    "total_points": 5,
    "received_points": 5
  },
  "vedha": {
    "description": "",
    "male_koot_attribute": "Hast",
    "female_koot_attribute": "Krittika",
    "total_points": 2,
    "received_points": 2
  },
  "vashya": {
    "description": "",
    "male_koot_attribute": "Maanav",
    "female_koot_attribute": "Chatuspad",
    "total_points": 2,
    "received_points": 1
  },
  "mahendra": {
    "description": "",
    "male_koot_attribute": "Hast",
    "female_koot_attribute": "Krittika",
    "total_points": 2,
    "received_points": 0
  },
  "streeDeergha": {
    "description": "",
    "male_koot_attribute": "Hast",
    "female_koot_attribute": "Krittika",
    "total_points": 2,
    "received_points": 0
  },
  "total": {
    "total_points": 36,
    "received_points": 19,
    "minimum_required": 18
  }
}